//This file contains a number of client-side JavaScript functions
//as an external .js file
 
function ValidateForm() {

	//function ensures a valid date has been entered, then submits the form if the date is valid
	var day = document.frmEditDateAndTime.Day.options[document.frmEditDateAndTime.Day.selectedIndex].value;
	var month = document.frmEditDateAndTime.Month.options[document.frmEditDateAndTime.Month.selectedIndex].value;
	var year = document.frmEditDateAndTime.Year.options[document.frmEditDateAndTime.Year.selectedIndex].value;

	if (!IsValidDate(day, month, year)) {

		alert('Please select a valid date');
		return;

	}

	document.frmEditDateAndTime.submit();

}

//function determines whether a specified date really exists
function IsValidDate(d, m, y) {

	var maximumDay = 0;
	m -= 1; //JavaScript uses '0' for January

	if (IsLeapYear(y)) {

		var daysInMonths = new Array(31, 29, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31);

	} else {

		var daysInMonths   = new Array(31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31);

	}

	maximumDay = daysInMonths[m];

	if (d > maximumDay) {

		return false;

	} else {

		return true;
	}

}

//determines whether a selected year is a leap year
function IsLeapYear(year) {

	if ((year/4)   != Math.floor(year/4))   return false;
	if ((year/100) != Math.floor(year/100)) return true;
	if ((year/400) != Math.floor(year/400)) return false;

	return true;


}

//set user's cookie
function setLoginCookie(loginuser, cookieyear, cookiemonth, cookiedayofmonth) {

	var CookieDate = new Date (cookieyear, cookiemonth, cookiedayofmonth);
	document.cookie = "username=" + loginuser + ";expires=" + CookieDate.toGMTString();

}

//get user's cookie
function getLoginCookie() {

	return document.cookie;

}
