<?php include("ErrorHandling.php"); ?>
<?php
/*
DESCRIPTION

This file contains functions that are accessible to all pages in
the site. It also defines constants and globally accessible
variables.

Note that is is vital to not leave any whitespace below the closing PHP tag
as this disrupts HTTP redirects in pages that use them.

PHP AUTHOR

Winnersh Triangle Web Solutions Limited (http://www.winnershtriangle.com/)

VERSION HISTORY

03 July 2003: File created

DISCLAIMER

This software is provided "as is" without warranty of any kind.
*/

#Define the PHP error handling level
error_reporting(E_CORE_WARNING);

$password = "ADfegrg5436";

/*Define session length in minutes. Users who haven't accessed a page
for this number of minutes have their SessionIDs revoked.*/
define("WEB_SESSION_DURATION", 180);

#Define constants
define("DATABASE_SERVER_NAME", "localhost");
define("DATABASE_USER_NAME", "admin");
define("DATABASE_USER_PASSWORD", $password);
define("DATABASE_NAME", "MYSQL11002", false);
define("MAIL_ADDRESS", "brett@someserver.com", true);
define("MAIL_SUBJECT", "This is a test", true); #This constant is case insensitive

#Define site error email constants
define("ERROR_SEND_ERROR_EMAILS", false); #Set to true or false
define("ERROR_DISPLAY_ERROR_MESSAGES", true); #Set to true or false
define("ERROR_MAIL_EMAIL_ADDRESS", "brett@somewhere.else.com");
define("ERROR_MAIL_EMAIL_SUBJECT", "Website PHP Error");

#Retrieve standard querystring variables
$SessionID = $ID;

if ($HTTP_GET_VARS["mode"] == "printview") {
	$PrintMode = 1;
	$PrintPageLink = $HTTP_SERVER_VARS["SCRIPT_NAME"];
} else {
	$PrintPageLink = "" . $HTTP_SERVER_VARS["SCRIPT_NAME"] . "?mode=printview";

}

#Generates a hexadecimal random session ID
#length = Required length of the session ID
#Returns session ID of the required length
function GenerateSessionID($length) {

	srand((double)microtime()*1000000); //Seed and the random number generator

	$sessionID = "";

	for ($i = 1; $i <= ($length); $i++) {

		$randomnumber = rand(0, 15);

		if ($randomnumber >= 10) {

			$randomnumber = chr($randomnumber + 55); #Random numbers >= 10 are converted to their hexadecimal letter equivalent

		}

		$sessionID .= "$randomnumber";

	}


	return $sessionID;

}

/*
Checks that the specified UserName and Password are valid
and returns a SessionID to log in the valid user
length = Required length of the session ID
username = User name
password = Password
Returns User's SessionID to log them in
*/
function CheckLoginCredentials($username, $password) {

	$datalink = mysql_connect(DATABASE_SERVER_NAME, DATABASE_USER_NAME, DATABASE_USER_PASSWORD);

	if (! $datalink) {
		die("could not connect to the database<br>");
	}

	mysql_select_db(DATABASE_NAME, $datalink);

	$sql = "select UserID from t_webusers where username = '$username' and password = '$password'";

	#mysql_

	#while(odbc_fetch_row($result))
	#{

	#$name = odbc_result($result, 2);
	#$surname = odbc_result($result, 3);

	#print("$name $surname<BR>\n");

#}

print "username...$username";
print "password...$password";


	mysql_close($datalink);

}

//If the user's session has timed out or the SessionID
//is not found in the database then this function can
//be used to display a link back to the login page
//Return nothing
function DisplayReLoginMessage() {

	$message = "

		<html>\n
		<head>\n
		<title>Please log in again</title>\n
		</head>
		<body>

		<p>You haven't accessed the website for a while
		or there is a problem with your web browser.</p>

		<p>In order to access the site you will need to <a href
		=\"Login.php\" title=\"log into the site\">log in again</a>.
		</p>

		</body>
		</html>
	";

	print "$message";
	return;

}

#Gets the value of a single database column
function DatabaseGetResultsSetValue($sql) {

	$error = 0;

	$datalink = mysql_connect(DATABASE_SERVER_NAME, DATABASE_USER_NAME, DATABASE_USER_PASSWORD);

	if (!$datalink) {

		die("could not connect to the database");

	}

	mysql_select_db(DATABASE_NAME, $datalink);

	$result = mysql_query($sql, $datalink);

	$rowcount = mysql_num_rows($result);

	#if ($rowcount == 0) {

	#die("no records were found");

	#}

	while(mysql_fetch_row($result))
	{

		$returnvalue = mysql_result($result, 0);

		#print("return = $returnvalue<BR>\n");

	}


	mysql_close($datalink);

	if ($returnvalue > 0) {
		return "$returnvalue";

	} else {

	return 0;

	}


}



#need some error handling here
function DatabaseInsertData($sql) {

	$datalink = mysql_connect(DATABASE_SERVER_NAME, DATABASE_USER_NAME, DATABASE_USER_PASSWORD);

	if (!$datalink) {

			die("could not connect to the database");

		}

	mysql_select_db(DATABASE_NAME, $datalink);

	if (! mysql_query($sql, $datalink)) {
	die("could not insert or update data");
	}

	mysql_close($datalink);

	return true;



}

#Reads an entire text file from disk
#filename = Text file's filename
#Returns Entire contents of text file
function GetFileContents($filename) {

	$filehandle = fopen($filename, "r") or HandleError("FILESYSTEM", __LINE__, __FILE__, "Could not open the file $filename");

	$filecontents = "";

	while (!feof($filehandle)) {

		$fileline = fgets($filehandle, 1024);
		$filecontents .= $fileline;

	}

	return $filecontents;

}

#Creates HTML suitable for a select box used to select a year
#SelectedYear = Year to be selected (0 = no year selected)
#Returns HTML <option> tags suitable for a year select list
function CreateYearSelectOptions($SelectedYear) {

	$date_array = getdate();

	$iStartYear = $date_array[year] - 2;
	$sHTML = "";
	$iNumberOfYears = 5;# 'Number of years to display in select list

	for ($i = $iStartYear; $i < $iStartYear + $iNumberOfYears; ++$i) {

		if($SelectedYear == $i) {

			$sHTML .= "<option SELECTED value=\"$i\">$i</option>\n";

		} else {

			$sHTML .= "<option value=\"$i\">$i</option>\n";

		}

	}

	return $sHTML;

}

#Creates HTML suitable for a select box used to select a month
#SelectedMonth = Year to be selected (0 = no month selected)
#Returns HTML <option> tags suitable for a month select list
function CreateMonthSelectOptions($SelectedMonth) {

	$date_array = getdate();

	#$iStartYear = $date_array[mon] - 2;
	$sHTML = "";
	#$iNumberOfYears = 5;# 'Number of years to display in select list

	for ($i = 1; $i < 13; ++$i) {

		if($SelectedMonth == $i) {

			$sHTML .= "<option SELECTED value=\"$i\">" . MonthName($i) . "</option>\n";

		} else {

			$sHTML .= "<option value=\"$i\">" . MonthName($i) . "</option>\n";

		}

	}

	return $sHTML;

}

#Creates HTML suitable for a select box used to select a day of the month
#SelectedDay = Day to be selected (0 = no day selected)
#Returns HTML <option> tags suitable for a day select list
function CreateDaySelectOptions($SelectedDay) {

	$date_array = getdate();

	#$iStartYear = $date_array[mon] - 2;
	$sHTML = "";
	#$iNumberOfYears = 5;# 'Number of years to display in select list

	for ($i = 1; $i < 32; ++$i) {

		if($SelectedDay == $i) {

			$sHTML .= "<option SELECTED value=\"$i\">$i</option>\n";

		} else {

			$sHTML .= "<option value=\"$i\">$i</option>\n";

		}

	}

	return $sHTML;

}

#Returns the month name
#Month = Month number (1 = January, 12 = December)
#Returns Month name
function MonthName($Month) {

	switch($Month) {

		case 1:
			return "January";
			break;
		case 2:
			return "February";
			break;
		case 3:
			return "March";
			break;
		case 4:
			return "April";
			break;
		case 5:
			return "May";
			break;
		case 6:
			return "June";
			break;
		case 7:
			return "July";
			break;
		case 8:
			return "August";
			break;
		case 9:
			return "September";
			break;
		case 10:
			return "October";
			break;
		case 11:
			return "November";
			break;
		case 12:
			return "December";
			break;

		default:
			return "January";
			break;

	}


}

?>